Subject: AW: Challenge with Git-Bash

From: "Rainer Lauer" <[email-masked]>
Date: Sun, 18 Jul 2010 20:08:44 +0200

Hi Jonathan,
thanks for this hint. Now it is working on the base of environment variables.

In order of automatically setting up my projects I'd like to use the configuration file for preparing  CVS-work instead introducing environment variables.
Unfortunately, I'm facing another problem.
Following commands don't modify .git/config coming along with my project(s).
git config user.name="Rainer Lauer"
git config user.email="[email-masked]"
git config core.editor="c:/Program Files/SlickEditV14.0.2/win/vs.exe"
The file seems to stay in initial revision as created with the command git init.

Where is following information stored? Command:  git config --global user.name="Rainer Lauer". Did I get the documentation right that this is a definition for all projects?

Regards,
Rainer

-----Ursprüngliche Nachricht-----
Von: Jonathan Nieder [mailto:[email-masked]] 
Gesendet: Samstag, 17. Juli 2010 19:13
An: Rainer Lauer
Cc: [email-masked]; [email-masked]
Betreff: Re: Challenge with Git-Bash

(+cc: msysgit)

Hi Rainer,

Rainer Lauer wrote:

> with my Windows 7 Git-Installation I get following challenge:
>
> 1)	Set GIT_EDITOR to editor of your choice
>
> 2)	With Windows7 let this editor run in admin-mode
> 	Goto .exe-file -> right mouse-click -> compatibility -> run program
>	as admin (I'm running a German version maybe English names are slightly
>	different)
>
> 3)	Make a git action like git add file
>	                       git commit
> 	from the git bash.
>
> 4)	Now following message appears:  sh.exe: ./"editor of your choice":
> Bad file number
>
> Everything is fine without Admin-Mode set for editor.

Apparently “Bad file number” can mean “Permission denied” among other things on Windows.  I do not have any better suggestion than to try running git bash as administrator too, sorry.

Regards,
Jonathan